import { jsx } from "react/jsx-runtime";
import { CircleDashed as CircleDashed$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CircleDashed = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CircleDashed", ...props, children: /* @__PURE__ */ jsx(CircleDashed$1, { weight: variant }) });
  }
);
CircleDashed.displayName = "CircleDashed";
Object.assign(CircleDashed, { isGdsIcon: true });
export {
  CircleDashed
};
